%define name    traverso
%define version 0.49.1
%define release %mkrel 2
Name:           %{name}
Version:        %{version}
Release:        %{release}
Url:            http://traverso-daw.org/
License:        GPLv2+ and LGPL2+
Group:          Sound
Summary:        Cross Platform Multitrack Audio Recording and Editing Suite
Source:         http://traverso-daw.org/download/releases/current/%{name}-%{version}.tar.gz
Patch0:		traverso-0.49.1-fix-str-fmt.patch
BuildRequires:  cmake qt4-devel glib2-devel fftw-devel
BuildRequires:  libalsa-devel libjack-devel libportaudio-devel 
BuildRequires:  libsndfile-devel libsamplerate-devel redland-devel 
BuildRequires:  rasqal-devel raptor-devel desktop-file-utils
BuildRequires:  libflac-devel libvorbis-devel libwavpack-devel libmad-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Traverso is a free, cross platform multitrack audio recording and editing suite,
with an innovative and easy to master User Interface. It's suited for both
the professional and home user, who needs a robust and solid DAW.

%prep
%setup -q
%patch0 -p0

%build
%cmake_qt4 -DWANT_MP3_DECODE=ON \
       -DWANT_MP3_ENCODE=OFF \
       -DWANT_OPENGL=ON \
       -DWANT_PORTAUDIO=ON 
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

mkdir -p %buildroot%_datadir
cp -fr resources/freedesktop/icons %buildroot%_datadir/
install -D resources/traverso.desktop %buildroot%_datadir/applications/%name.desktop
install -D resources/x-traverso.xml %buildroot%_datadir/mime/packages/x-traverso.xml

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYRIGHT ChangeLog HISTORY README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/*.xml
%{_iconsdir}/*/*/*


%changelog
* Tue Nov 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.49.1-2mdv2010.1
+ Revision: 464319
- Rebuild for QT 4.6

* Fri Nov 06 2009 Funda Wang <fundawang@mandriva.org> 0.49.1-1mdv2010.1
+ Revision: 460604
- fix dirs
- New version 0.49.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Aug 06 2008 Funda Wang <fundawang@mandriva.org> 0.42.0-6mdv2009.0
+ Revision: 264181
- fix br
- add patches from gentoo
- fix underlink and wrong pair of cmake

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Mar 16 2008 Frederik Himpe <fhimpe@mandriva.org> 0.42.0-2mdv2008.1
+ Revision: 188174
- Put icon in the right place and run udpate_menus

* Fri Feb 22 2008 Frederik Himpe <fhimpe@mandriva.org> 0.42.0-1mdv2008.1
+ Revision: 173995
- Initial Mandriva package
- create traverso

